Subject: Re: [OAUTH-WG] Dynamic registration of client application instances

From: Pedro Felix <[email-masked]>
Date: Fri, 19 Oct 2012 16:22:31 +0100

I have a native app scenario where
- There are multiple app instances
- The same user user can have multiple app instances (phone, tablet)
- I would want to use confidential clients - the native app instance
dynamically receives the client_secret
- There should be a way to limit the number of app instances that are
created. For instance, one could associate an app instance to the user's
email. Namely, I would like to explore the idea that an app instance is
something that is simultaneous associated with the client app but also to
the user (resource owner).

Thanks
Pedro

On Fri, Oct 19, 2012 at 3:53 PM, Maciej Machulak <
[email-masked]> wrote:

> Hi Pedro,
>
> With reference to your question posted on the OAUTH WG regarding dynamic
> registration of OAuth clients, could you please provide us with the
> description of your use case. We've implemented dynamic registration on one
> of our systems based on the specification that we've co-authored (
> http://tools.ietf.org/html/draft-ietf-oauth-dyn-reg-00). It would be
> great to learn more about what you're trying to achieve and if we can help.
>
> Thanks,
> Maciej
>